<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: drp_wr_fsm_lpm Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">drp_wr_fsm_lpm Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for drp_wr_fsm_lpm:</div>
<div class="dyncontent">
<div class="center"><img src="classdrp__wr__fsm__lpm__inherit__graph.png" border="0" usemap="#drp__wr__fsm__lpm_inherit__map" alt="Inheritance graph"/></div>
<map name="drp__wr__fsm__lpm_inherit__map" id="drp__wr__fsm__lpm_inherit__map">
<area shape="rect" id="node2" href="classS6Link__lpm__loop__fsm.html" title="S6Link_lpm_loop_fsm" alt="" coords="14,80,177,107"/><area shape="rect" id="node3" href="classS6Link__ADAPT__TOP__LPM.html" title="S6Link_ADAPT_TOP_LPM" alt="" coords="5,155,187,181"/><area shape="rect" id="node4" href="classS6Link__init.html" title="S6Link_init" alt="" coords="49,229,143,256"/><area shape="rect" id="node5" href="classipbus__if.html" title="ipbus_if" alt="" coords="59,304,132,331"/><area shape="rect" id="node6" href="classAMC13__T1.html" title="AMC13_T1" alt="" coords="51,379,141,405"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classdrp__wr__fsm__lpm-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classdrp__wr__fsm__lpm_1_1drp__wr__fsm__bevh.html">drp_wr_fsm_bevh</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ae00f3f04545af57582ff10609eee23e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae00f3f04545af57582ff10609eee23e2"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#ae00f3f04545af57582ff10609eee23e2">NUMERIC_STD</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aaa880fd3835e1d54cd8e11d778e8dcc7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaa880fd3835e1d54cd8e11d778e8dcc7"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#aaa880fd3835e1d54cd8e11d778e8dcc7">lock0</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa24870d9d509f8589abe47373ed3849a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa24870d9d509f8589abe47373ed3849a"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#aa24870d9d509f8589abe47373ed3849a">lock1</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa327b4f45db205c782de5892a274814e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa327b4f45db205c782de5892a274814e"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#aa327b4f45db205c782de5892a274814e">lock2</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad26a497a94fd632d9d75b9f17bba8a32"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad26a497a94fd632d9d75b9f17bba8a32"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#ad26a497a94fd632d9d75b9f17bba8a32">lock3</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3878a1f35a4e1e2e8cb4e737c39fe50b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3878a1f35a4e1e2e8cb4e737c39fe50b"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a3878a1f35a4e1e2e8cb4e737c39fe50b">ready</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a64fecbbfc11133fd080e2b81eedffb18"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64fecbbfc11133fd080e2b81eedffb18"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a64fecbbfc11133fd080e2b81eedffb18">di0</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af5d9725bb559c142bb69021bf3d04488"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af5d9725bb559c142bb69021bf3d04488"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#af5d9725bb559c142bb69021bf3d04488">holds</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add3af9d48270990e6959c145d847e4de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add3af9d48270990e6959c145d847e4de"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#add3af9d48270990e6959c145d847e4de">DI</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2060aec08fbeebb21e583afc733ff72a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2060aec08fbeebb21e583afc733ff72a"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a2060aec08fbeebb21e583afc733ff72a">store_di0</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac1592654c4519bdb086a4fbba454e2f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac1592654c4519bdb086a4fbba454e2f5"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#ac1592654c4519bdb086a4fbba454e2f5">Address</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a53685c45bd794584180df2dd46ba13bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a53685c45bd794584180df2dd46ba13bb"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a53685c45bd794584180df2dd46ba13bb">state</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa3ff1f2749a1588106b2c0425c1fa8e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa3ff1f2749a1588106b2c0425c1fa8e5"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#aa3ff1f2749a1588106b2c0425c1fa8e5">kill0</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4cdde9770742f259f28b5f0e90285f21"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cdde9770742f259f28b5f0e90285f21"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a4cdde9770742f259f28b5f0e90285f21">kill1</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a010b26e5fd5ef870bf2d9b0e2d431c08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a010b26e5fd5ef870bf2d9b0e2d431c08"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a010b26e5fd5ef870bf2d9b0e2d431c08">kill2</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8b974e00a5a56467960080b8e412bafb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b974e00a5a56467960080b8e412bafb"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a8b974e00a5a56467960080b8e412bafb">kill3</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3e8d22b4bda892f79c19406ac843184"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3e8d22b4bda892f79c19406ac843184"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#ab3e8d22b4bda892f79c19406ac843184">rd_drp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a48086ea460cbf3a1e86b7584e9f795d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48086ea460cbf3a1e86b7584e9f795d1"></a>
<a class="el" href="classdrp__wr__fsm__lpm.html#a48086ea460cbf3a1e86b7584e9f795d1">wr_drp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="s6link__lpm__loop__fsm_8vhd_source.html#l00076">76</a> of file <a class="el" href="s6link__lpm__loop__fsm_8vhd_source.html">s6link_lpm_loop_fsm.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/S6Link/<a class="el" href="s6link__lpm__loop__fsm_8vhd_source.html">s6link_lpm_loop_fsm.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:43 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
